<!doctype html>
<html lang="en">


	<head>
		<meta charset="utf-8">
			
			<title>The Library Catalog as Qualitative Data for Quantitative Analysis: An Example from Romance Studies </title>
			
			<meta name="description" content="The Library Catalog as Qualitative Data for Quantitative Analysis: An Example from Romance Studies ">
			<meta name="author" content="Dr. José Calvo Tello">

			<meta name="apple-mobile-web-app-capable" content="yes">
			<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
			
			<meta name="viewport" content="width=device-width, initial-scale=1.0">
			
			<link rel="stylesheet" href="../../lib/reveal/dist/reset.css">
			<link rel="stylesheet" href="../../lib/reveal/dist/reveal.css">
			<link rel="stylesheet" href="../../lib/reveal/dist/theme/white.css" id="theme">
			<link rel="stylesheet" href="custom.css">
			
			<!-- Theme used for syntax highlighting of code --> 	
			<link rel="stylesheet" href="../../lib/reveal/plugin/highlight/monokai.css" id="highlight-theme">
	</head>

	<body>

        <div class="reveal">
            <div class="slides">
              
				<section data-markdown="" data-separator="^\n---\n" data-separator-vertical="^\n--\n" data-charset="utf-8">
					<script type="text/template">
<!-- .slide: class="firstSlide" -->			
## The Library Catalog as Qualitative Data for Quantitative Analysis: An Example from Romance Studies

<br />

###### Göttingen Projects in Digital Humanities, 22.11.2022<br /> Institut für Digital Humanities

<hr />

#### Dr. José Calvo Tello
##### Göttingen State and University Library


---

## Romance Studies?
<img data-src="./img/Detailed_SVG_map_of_the_Romance-speaking_world.svg.png" width="800"/>

Source: https://en.wikipedia.org/wiki/Romance_languages#/media/File:Detailed_SVG_map_of_the_Romance-speaking_world.svg

--

## Development in the last 40 years?
## Expectation for the next 20 years?
* Interest as researcher
* but also as librarian
	* Languages
	* Media
	* Prices
	* Themes

--

## Subject Librarian (also) for DH
* Subject librarian (*Fachreferent*) for DH:
* https://www.sub.uni-goettingen.de/geisteswissenschaften-und-theologie/digital-humanities/

---

# Table of Content

--

# Table of Content
1. Bibliographic Data as a Research Object
2. Selection of the data
3. Description of the data
4. Methods
5. Research questions and analysis
6. Conclusions

---

# Bibliographic Data as a Research Object

--


<img data-src="./img/2022-05-02_09h29_49.png" width="700"/>

--

## Bibliographic Data as a Research Object
* Increasing interest in data from bibliographies and catalogs
* Catalog: from evidence system to research data
* *Bibliographic Data Science*
* Umerle, Tomasz, Giovanni Colavizza, Elżbieta Herden, Rindert Jagersma, Péter Király, Beata Koper, Leo Lahti, et al. 2022. ‘An Analysis of the Current Bibliographical Data Landscape in the Humanities. A Case for the Joint Bibliodata Agendas of Public Stakeholders’. Zenodo. https://doi.org/10.5281/zenodo.6559857.

--


## Advantages
* Big data
* Curated data (in many cases standardized)

--

## Big Curated Data!

--

<img data-src="./img/catalonian_library_catalogues.jpg" width="400"/>

--

## Why?

--

<img data-src="./img/spiderman_library_catalogues.jpg" width="400"/>

--

## Challenges
* Incomplete
* Heterogeneous
* Historical changes
* Theory != Practice

--

## Biases

<img data-src="./img/bias everywhere.jpg" width="800"/>

--


## Three Important Considerations
* Hypotheses testing
* Coverage of the data
* Librarian practices, history, landscape
* Beware of abrupt changes!


---

# Data Selection

--

# Source: K10plus + hebis

* K10plus: one of the largest library catalogs (German-speaking area)
	* https://kxp.k10plus.de
	* Gemeinsame Bibliotheksverbund  (GBV)
	* Südwestdeutsche Bibliotheksverbund (SWB)
	* 70 million <em>titles</em>
* HeBIS (Hessisches BibliotheksInformationsSystem)
* *German* Romance Languages Studies

<img data-src="./img/Karte-761x1024.jpg" width="200"/>

--

# Source: K10plus + hebis

* Monographs (by single author, collective works)
* Journals
* Series
* E-Books
* Open Access E-Books
* <del>Chapters<del>
* <del>Articles<del>
* <del>Conference papers<del>


--

## Which Instances are being Analyzed?

--

## Which Instances are being Analyzed?

<img data-src="./img/jane_austen_romanistentag.drawio.png" width="900"/>

* Reprints in libraries (regardless of the number of copies in each library)

--

## In these more than 70 million publications,
## how to select only publications about Romance Studies?

--

## How to Select Publications about Romance Studies?
* With classification systems
* Example:
	* Göttinger Online-Klassifikation: https://www.sub.uni-goettingen.de/goettinger-online-klassifikation/	
	* Basisklassifikation: https://wiki.k10plus.de/pages/viewpage.action?pageId=437452809	

--

## Selection of Romance Languages

* 5 classification systems:
	* Basisklassifikation (BK) 
		* regex = "18\.[23]\d"
	* Sachgruppe from the German National Library
		* regex = "^(4[456]\d|8[456])"
	* Dewey Decimal Classification (DDC)
		* regex = "^(4[456]\d|8[456])"
	* Regensburger Verbundklassifikation (RVK)
		* regex = "^I.*?"
	* Library of Congress Classification (LCC)
		* regex = "^p[cq].*?"

--

# Secondary literature

* The following classes were excluded:
  * Subject groups: B
  * BK: 17.97 and 17.98
  * RVK: classes with "Collected works" or "Single works" 
  * Type of Content: Fictional account, anthology, collection of letters.

---

# Dataset

--

# Pre-Processing Steps

1. Select records published between 1980 and 2019
2. Download data from the API (RSU) as PICA-XML
3. Select PICA fields through XPaths
4. Convert to table
5. Data and code published in:
	* DARIAH-DE Rep: doi:10.20375/0000-000F-73EA-8
	* Zenodo: https://zenodo.org/record/7098830#.YyqblbTP1aS

--

# Dataset Description

* 1.041.404 data points
* Data points = reprints in libraries (regardless of the number of copies in each library)
* 81% K10plus
* 19% HeBIS

<img data-src="./img/figure_03_area_source_develope.png" width="700"/>

--

<img data-src="./img/bias everywhere.jpg" width="800"/>

--


# The Never Finished Library

<img data-src="./img/boxplot_year_publication_year_entry_catalog.png" width="900"/>

--

# The Never Complete Description

<img data-src="./img/percentage_titles_fields.png" width="300"/>


---

# Method

--

## Steps

1. Extract data from PICA field (regular expression or tokenization)
2. (Calculate relative frequency by the records of this year)
3. Visualize (scatter, area, line plot)
4. <b>Regression</b> (linear regression):
	* Statistical test with p-value: Is the tendency statistically significant?
	* Slope: Expectation for the next years
5. Code is also available


--

## Pages: Example

* <b>Research question</b>: Are publications becoming lengthier? Is the number of pages increasing over time?
* <b>PICA+</b>: field 034D, subfield a
* <b>Coverage </b>: 95% with some information (91% with extracted numerical information)

--

## Pages: Data Extraction 

* <b>Regular expression</b> (in Pandas): df["pages"].str.findall("\d+").str.get(0)

<img data-src="./img/pages_table.png" width="600"/>

--

## Pages: Visualization

<img data-src="./img/figure_4_scatter_year_publication_pages.png" width="700"/>

* Mean number of pages in <b>1980: 219</b> pages
* Mean number of pages in <b>2019: 253</b> pages


--

## Pages: Regression Line 

* <b>slope = 0,9</b>, p-value < 0,001
* Expectations:
  * Publications will be 9 pages longer in average in 10 years
  * 2030 publications of 277 
  * 2040 publications of 286

--

# But...


--

<img data-src="./img/banner_bruce_pages.jpg" width="500"/>

--

# No, these predictions won't be accurate

--

# Weather forecasts are never perfect either, but still useful

<img data-src="./img/2022-05-04_08h51_03.png" width="500"/>

--

## To make decisions
* To go with the trend
* Or against it!

--

## General problem of current (supervised) machine learning methods:
### Conservative

* Predict new cases with data we have already collected
* Predict future trends with data we have collected in the past

--

## Important: always bring in new curated data

---

# Analysis

--

# Languages

* Language of the publication
* <del>Language as research object</del> (later!)

--

## Languages: Hypotheses

1. French was the dominant language
2. Spanish and English are gaining importance
3. Explore the rest 


--

## Languages: Source

* PICA+: field 010@, subfield a
* Coverage: 98%
* From controlled list
* Multi-label

<!--## Languages: Number of Records-->

<!--<img data-src="./img/2_1_describe/bar_languages.png" width="900"/>-->

--

## Languages: Development

<img data-src="./img/figure_05_plot_lines_languages.png" width="900"/>




<!--## Languages: Development-->

<!--<img data-src="./img/languages_rel_freq.png" width="400"/>-->



<!--## Languages: Difference-->

<!--<img data-src="./img/languages_diff.png" width="400"/>-->


<!--<img data-src="./img/2_1_describe/bar_diff_languages.png" width="900"/>-->

--

						
## Languages: Slope of regression line

<img data-src="./img/figure_06_bar_slop_language.png" width="900"/>


<!--
## Languages: Report of the Results

* French was the predominant language
* It lost its position to German around 2010
* Third language: Spanish or French? 
* French is approximately  loosing 1% of the records of the dataset every 4 years
* Spanish and German are increasing their proportion of the records (around 1% every 8 years)
* English is also increasing its proportion of the records (around 1% every 20 years)
-->

--

## Place of Publication

--


## Place of Publication
* Sample with 5.000 publications
* In <a href="https://geobrowser.de.dariah.eu/?csv1=https://cdstar.de.dariah.eu/dariah/EAEA0-6966-72CA-0E10-0">DARIAH-DE Geo-Browser visualisiert und veröffentlicht</a>

<img data-src="./img/landkarte.png" width="500"/>

--

## Place of Publication: Development

<img data-src="./img/figure_07_plot_lines_place_10.png" width="900"/>

--

## Place of Publication: Slope

<img data-src="./img/figure_09_bar_slop_publication_top_place.png" width="900"/>

--

## Place of Publication: Slope

<img data-src="./img/figure_10_bar_slop_publication_bottom_place.png" width="900"/>

--

# Publishers

--

## Publishers: Research questions

1. Which are the tendencies about the publishers?

--

## Publishers: Source

* PICA+: field 033A, subfield n
* Coverage: 98%
* Not normalized
* Messy (changes of names, rebranding, changes of ownership...)
<!--	* df["publisher"].str.replace(r"(?:de|ed|univ|verl|verlag|perss|ag)", r"", flags=re.I)-->
<!--	* df["publisher"].str.replace(r"(?:de|ed|univ|verl|verlag|perss|ag|publisher|pub|press|éd|presses|und|'|für|gmbh|du|verlag)[\W$]", r"", flags=re.I|re.M)-->

--

## Publishers: Development

<img data-src="./img/figure_11_area_publishers_chronological_top_12.png" width="900"/>

--


## Publishers: Slope of regression line (top)

<img data-src="./img/figure_12_bar_slop_publisher_top.png" width="900"/>

--

## Publishers: Slope of regression line (bottom)

<img data-src="./img/figure_12_bar_diff_publishers_bottom_20.png" width="900"/>

--

# Research Question

1. Is the market being more dominated by fewer publishers?


--

## Publishers: Standard deviation in relative frequency of publishers

<img data-src="./img/standard_deviation_relative_frequency_publishers.png" width="900"/>


--

# Medium

--


## Medium: Hypotheses

1. The percentage of E-Books is increasing, but is still a minority for the Romance Languages Studies
2. E-Books are notably more expensive than printed books

--

## Medium: Source

* <b>PICA+</b>: field 002@, subfield 0
* <b>Coverage</b>: 100%
* Standardized, no multi-label

<!--
## Medium: Number of Records

<img data-src="./img/2_1_describe/bar_medium_percentage.png" width="600"/>

<div>

* Others: 2%
* Possible bias? (since E-Books and printed material do not undergo the same workflows. Plus media in the FIDs)
</div>
-->

--

## Medium: Development

<img data-src="./img/figure_14_area_medium_develope.png" width="700"/>

* For the entire period:
	* Printed: 90%
	* E-Books: 10%
* In the last 10 years:
	* E-Books \> 20%

--

## Medium: Tendencies

<img data-src="./img/figure_15_bar_slop_medium.png" width="900"/>

* The tendency is to expect 1.1% more E-Books each year

--

## When will all Romance Studies publications be available as e-books?

--

## 100% e-books in 2080!

<img data-src="./img/romance_studies_ebooks.jpg" width="400"/>

---

# Price

--

# Price

* <b>PICA+</b>: field 005A, subfield f
* <b>Coverage</b>: 27%

--

# Specific challenges about price

* Heterogeneity: 18.95 €; 18,95 €; 18.95 EUR; EUR 18.95 (DE); 18.95
* Several currencies (German marks, Swiss francs, British pounds, and US dollars)
* Historical change
* German marks \-\> Euro

--

<img data-src="./img/figure_16_line_development_prices_median.png" width="700"/>

* Slope of 0.15 (p-value < 0.001)
* 0.15 euros more expansive per year
* Expected price for 2030 = 31.70 € 

--
# British pounds 
* Median price in 1995 = 39.60
* 2015 = 76.56
* Slope = 1.51 (p-value < 0.001)
* Prediction for 2030 = 93.79

--

* The results are not final!

--


## Price: Print vs. e-book

--

## Which is cheaper? E-books or print?

--

## Price: E-Books and Printed


<img data-src="./img/figure_17_boxplot_prices_print_ebooks.png" width="500"/>
<br />

* Print = 28 € median price
* E-book = 46 € Median price 
* P-value < 0.001 in Welch's t-test
* The results are not final!



---

# Themes

--
# Themes: Keywords

--

## Keywords

* Intellectual annotation by subject librarians (<em>FachreferentInnen</em>)
* Describe the publication using controlled vocabularies (for example from GND)
* Mono-lingual systems (German, English...)

--


## Keywords in the catalog




<img data-src="./img/2021-10-04_14h45_54.png" width="900"/>

--



## Keywords: Source

* Many fields!
	* RSWK: PICA+ field 041A subfield a
	* K10plus: PICA+ field 044K subfield a
	* project: PICA+ field 041L subfield a
	* local: PICA+ field 044Z subfield a
	* 045D: PICA+ field 045D subfield a
	* LoC: PICA+ field 044A subfield a
* Mixing them together! 
* German and English
* <b>Coverage</b>: 64.1%
* Multiple labels

--

## Keywords with the Highest Slope

<img data-src="./img/figure_19_keywords_slope_top.png" width="800"/>

* Spanish, Italian
* Reception, film, e-books, corpus
* Language change, language contact, multilingualism


--


## Keywords with the Lowest Slope: Development

<img data-src="./img/figure_20_keywords_slope_bottom.png" width="800"/>

* On and about French and Romanian
* Classical genres and media
* 15th to 19th century



---
# Conclusions

--

## Conclusions: Trends

* Development of topics
* Longer publications
* Fewer publications in French
* More in **German**, Spanish and English
* Place of publication in German-speaking countries 
* Printed matter still very dominant
* E-books are slowly increasing
* E-books are significantly more expensive

--

## Conclusions: Dataset

* Enormous potential of data from catalogs
* Combination
  * Use of curated data
  * Application of quantitative methods
* With realistic expectations
* Expertise from multiple fields

--

<img data-src="./img/arms_qualitative_quantitative.jpg" width="700"/>

--

### Value the work of all these professionals who 
* enter
* edit
* annotate
* review
* manage
* convert
* ...
### data in the catalog

--

# Thanks for the attention

<img data-src="./../../images/danke.png" width="600"/>




					</script>
				</section>
            </div>
        </div>

        <script src="../../lib/reveal/dist/reveal.js"></script>
        <script src="../../lib/reveal/plugin/zoom/zoom.js"></script>
        <script src="../../lib/reveal/plugin/notes/notes.js"></script>
        <script src="../../lib/reveal/plugin/search/search.js"></script>
        <script src="../../lib/reveal/plugin/markdown/markdown.js"></script>
        <script src="../../lib/reveal/plugin/highlight/highlight.js"></script>
        <script>
    
          // Also available as an ES module, see:
          // https://revealjs.com/initialization/
          Reveal.initialize({
            controls: true,
            progress: true,
            center: true,
            hash: true,
    
            // Learn about plugins: https://revealjs.com/plugins/
            plugins: [ RevealZoom, RevealNotes, RevealSearch, RevealMarkdown, RevealHighlight ]
          });
    
        </script>
    
      </body>
    </html>
    